## mx-service-manager 23.9

=== debian/changelog ===
mx-service-manager (23.9) mx; urgency=medium

  * First official release with latest translations

 -- Adrian <adrian@mxlinux.org>  Tue, 05 Sep 2023 09:07:58 -0400

mx-service-manager (0.23.8) mx; urgency=medium

  * Initial release

 -- Adrian <adrian@mxlinux.org>  Sat, 26 Aug 2023 20:55:12 -0400
