## mx-service-manager 23.10

=== debian/changelog ===
mx-service-manager (23.10) mx; urgency=medium

  * Add tooltip with service description
  * Eliminate some duplicates in the service list
  * Eliminate "not-found" services in systemd list

 -- Adrian <adrian@mxlinux.org>  Sat, 21 Oct 2023 22:30:37 -0400
