## mx-service-manager 23.11.02

=== debian/changelog ===
mx-service-manager (23.11.02) mx; urgency=medium

  * Fix: run 'service' command with full path instead of running it as root

 -- Adrian <adrian@mxlinux.org>  Wed, 08 Nov 2023 12:53:05 -0500
