## mx-service-manager 24.3

=== debian/changelog ===
mx-service-manager (24.3) mx; urgency=medium

  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 13:08:55 -0400
