## mx-service-manager 24.3.01

=== debian/changelog ===
mx-service-manager (24.3.01) mx; urgency=medium

  * Fix running commands as root

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 20:30:31 -0400
