## mx-service-manager 25.4

=== debian/changelog ===
mx-service-manager (25.4) mx; urgency=medium

  * Performance fixes
  * Don't prompt anymore for elevation at startup
  * Update translatons

 -- Adrian <adrian@mxlinux.org>  Tue, 08 Apr 2025 18:23:01 -0400
