## mx-service-manager 25.8

=== debian/changelog ===
mx-service-manager (25.8) mx; urgency=medium

  * Require elevation at the start of the app for more accurate listing
  * Disable pushed button till the action is completed

 -- Adrian <adrian@mxlinux.org>  Wed, 13 Aug 2025 23:39:41 -0400

mx-service-manager (25.4.01) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 18:32:31 -0400
