## mx-service-manager 25.08.04

=== debian/changelog ===
mx-service-manager (25.08.04) mx; urgency=medium

  * Add missing dependencies
  * Remove potentially confusing debug message

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Aug 2025 18:04:29 -0400
