=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16),
                qt6-base-dev,
                qt6-base-dev-tools,
                qt6-tools-dev,
@@ -14,8 +15,6 @@
 Package: mx-service-manager
 Architecture: any
 Depends: xdg-utils | mx-viewer,
-         jq,
-         gawk,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: mx-launcher-l10n, gksu | pkexec
