=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

# Use standard CMake with Make generator for debian compatibility
CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	rm -f src/version.h

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --buildsystem=cmake --no-automatic-dbgsym
