## mx-service-manager 25.08.06

=== debian/changelog ===
mx-service-manager (25.08.06) mx; urgency=medium

  * Fix helper file location

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Aug 2025 12:37:09 -0400
