## mx-service-manager 25.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -142,15 +142,19 @@
 target_compile_definitions(mx-service-manager PRIVATE
     QT_DEPRECATED_WARNINGS
     QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    VERSION="${PROJECT_VERSION}"
 )
 
 # Release-specific optimizations
 if(CMAKE_BUILD_TYPE STREQUAL "Release")
     target_compile_definitions(mx-service-manager PRIVATE NDEBUG)
     target_compile_options(mx-service-manager PRIVATE -O3)
-    
-    # Only add LTO for GCC, not Clang
-    if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT USE_CLANG)
+
+    # Add LTO - different flags for different compilers
+    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
+        target_compile_options(mx-service-manager PRIVATE -flto=thin)
+        target_link_options(mx-service-manager PRIVATE -flto=thin)
+    else()
         target_compile_options(mx-service-manager PRIVATE -flto=auto)
         target_link_options(mx-service-manager PRIVATE -flto=auto)
     endif()
@@ -159,14 +163,8 @@
 # Handle translations
 qt6_add_translations(mx-service-manager
     TS_FILES ${TRANSLATION_FILES}
+    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
     QM_FILES_OUTPUT_VARIABLE qm_files
-)
-
-# Generate version.h file
-configure_file(
-    "${CMAKE_SOURCE_DIR}/src/version.h.in"
-    "${CMAKE_BINARY_DIR}/src/version.h"
-    @ONLY
 )
 
 # Set target properties
@@ -175,8 +173,8 @@
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
 )
 
-# Add build directory to include path for generated version.h
-target_include_directories(mx-service-manager PRIVATE ${CMAKE_BINARY_DIR}/src)
-
-# Note: Installation is handled by debian/install for debian packaging
-# No install() commands needed here
+# Install target (required by Debian build system)
+# Other files are handled by debian/install
+install(TARGETS mx-service-manager
+    RUNTIME DESTINATION bin
+)
