=== debian/changelog ===
mx-service-manager (25.10) mx; urgency=medium

  * Add refresh button to repopulates service data keeping the prior
    selection visible
  * Focus search when pressing Ctrl+F

 -- Adrian <adrian@mxlinux.org>  Tue, 21 Oct 2025 11:29:54 -0400
