## mx-service-manager 25.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,7 @@
     Gui
     Widgets
     LinguistTools
+    Concurrent
 )
 
 # Enable automatic MOC, UIC, and RCC processing
@@ -119,6 +120,7 @@
     Qt6::Core
     Qt6::Gui
     Qt6::Widgets
+    Qt6::Concurrent
 )
 
 # Set compiler flags
