=== debian/changelog ===
mx-service-manager (25.12) mx; urgency=medium

  * Add support for user services
  * Service search now matches substrings
  * Improve tooltip loading

 -- Adrian <adrian@mxlinux.org>  Sat, 27 Dec 2025 19:09:25 -0500
